<div class="article">

# Singulink.IO.FileSystem

## Summary

**Singulink.IO.FileSystem** is a reliable cross-platform library that provides strongly-typed file/directory path manipulation and file system access in .NET. It has been designed to encourage developers to code with explicit intent in such a way that their applications can work seamlessly and bug free across both Unix and Windows file systems under all conditions. `System.IO.*` has numerous pitfalls that make 99% of file system code out in the wild fragile and problematic in edge cases. It also contains behavioral inconsistencies between Unix and Windows file systems that are abstracted and handled by this library so you don't have to worry about them.

You can visit the [Problems with System.IO](articles/system.io/problems-with-system-io.md) article for a primer on some of the issues with `System.IO`.

**Singulink.IO.FileSystem** is part of the **Singulink Libraries** collection. Visit https://github.com/Singulink/ to see the full list of libraries available.

## Information and Links

Here are some additonal links to get you started:

- [Getting Started](articles/guides/getting-started.md) - Visit here first if you want to read articles on how to use the library.
- [API Documentation](api/index.md) - Browse the fully documented API here.
- [Chat on Discord](https://discord.gg/EkQhJFsBu6) - Have questions or want to discuss the library? This is the place for all Singulink project discussions.
- [Github Repo](https://github.com/Singulink/Singulink.IO.FileSystem) - File issues, contribute pull requests or check out the code for yourself!

</div>